> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/solana/trader-api/api-endpoints/core-endpoints/balance.md).

# balance

Get token balance information based on Solana account address.

### Request

#### Method:

`GET ./api/v2/balance`

#### Parameters:

<table><thead><tr><th width="179.32569366693275">Parameter</th><th width="139.23125339579434">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>ownerAddress</code></td><td>string</td><td>Address to fetch token balance details.</td></tr></tbody></table>

#### Request example:

{% tabs %}
{% tab title="HTTP" %}

```bash
curl --header "Authorization: $AUTH_HEADER" \
'https://ny.solana.dex.blxrbdn.com/api/v2/balance'
```

{% endtab %}
{% endtabs %}

### Response:

#### Fields:

<table><thead><tr><th width="206.12060301507535">Fields</th><th width="155.02020202020208">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>tokens</code></td><td>array</td><td>See below for details</td></tr></tbody></table>

<table><thead><tr><th width="206.12060301507535">Fields</th><th width="155.02020202020208">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>symbol</code></td><td>string</td><td>Symbol of the token.</td></tr><tr><td><code>tokenMin</code></td><td>string</td><td>Token program address.</td></tr><tr><td><code>settledAmount</code></td><td>number</td><td>The token amount available. This is what you are looking for in most cases.</td></tr><tr><td><code>unsettledAmount</code></td><td>number</td><td>Token amount which is unsettled. <strong>*Apply only to Openbook.</strong></td></tr><tr><td><code>openOrderAmount</code></td><td>number</td><td>Token amount which is in open order. <strong>*Apply only to Openbook.</strong></td></tr></tbody></table>

#### Response Example:

{% tabs %}
{% tab title="JSON" %}

```json
{
   "tokens":[
      {
         "symbol":"SRM",
         "token_mint":"SRMuApVNdxXokk5GT7XD5cUUgXMBCoAz2LHeuAoKWRt",
         "settled_amount":0.0,
         "unsettled_amount":0.0,
         "open_orders_amount":0.0
      },
      {
         "symbol":"SOL",
         "token_mint":"So11111111111111111111111111111111111111112",
         "settled_amount":3.435929722,
         "unsettled_amount":0.0,
         "open_orders_amount":0.0
      }
   ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bloxroute.com/solana/trader-api/api-endpoints/core-endpoints/balance.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
